Skip to content

upsertQualityDocumentStep

WRITE

Upsert quality document step.

POST /api/v1/quality/upsertQualityDocumentStep
curl -X POST '<your-host>/api/v1/quality/upsertQualityDocumentStep' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "qualityDocumentId": "string",
    "name": "string",
    "type": "Task"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min length 1
"Task""Value""Measurement""Checkbox""Timestamp""Person""List""File""Inspection"
min 0
min 0
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "qualityDocumentId": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "Task",
        "Value",
        "Measurement",
        "Checkbox",
        "Timestamp",
        "Person",
        "List",
        "File",
        "Inspection"
      ]
    },
    "unitOfMeasureCode": {
      "type": "string"
    },
    "minValue": {
      "type": "number",
      "minimum": 0
    },
    "maxValue": {
      "type": "number",
      "minimum": 0
    },
    "listValues": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "sortOrder": {
      "type": "number",
      "minimum": 0
    },
    "id": {
      "type": "string"
    }
  },
  "required": [
    "qualityDocumentId",
    "name",
    "type"
  ]
}